Bug 151297 - CAN-2005-0469 slc_add_reply() Buffer Overflow Vulnerability
Summary: CAN-2005-0469 slc_add_reply() Buffer Overflow Vulnerability
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: telnet
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Harald Hoyer
QA Contact: Ben Levenson
URL:
Whiteboard: impact=important,embargo=20050328,sou...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-16 19:24 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2005-03-28 19:49:18 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:327 important SHIPPED_LIVE Important: telnet security update 2005-03-28 05:00:00 UTC

Description Josh Bressers 2005-03-16 19:24:22 UTC
The vulnerability specifically exists in the handling of the LINEMODE
suboptions, in that there is no size check made on the output, which is stored
in a fixed length buffer. By sending a specially constructed reply containing a
large number of SLC (Set Local Character) commands, it is possible to overflow
this buffer with server supplied data.

Comment 1 Josh Bressers 2005-03-16 19:25:38 UTC
This issue also affects RHEL2.1 and RHEL3

Comment 3 Josh Bressers 2005-03-28 18:24:46 UTC
Lifting embargo.

Comment 4 Josh Bressers 2005-03-28 19:49:19 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-327.html



Note You need to log in before you can comment on or make changes to this bug.